JMXEnabledThreadPoolExecutorMBean (apache-cassandra API)
Date: 2014-10-21

org.apache.cassandra.concurrent

## Interface JMXEnabledThreadPoolExecutorMBean

- All Superinterfaces:
    IExecutorMBean
  All Known Subinterfaces:
    JMXConfigurableThreadPoolExecutorMBean, JMXEnabledSharedExecutorPool.JMXEnabledSEPExecutorMBean
  All Known Implementing Classes:
    JMXConfigurableThreadPoolExecutor, JMXEnabledSharedExecutorPool.JMXEnabledSEPExecutor, JMXEnabledThreadPoolExecutor

  Deprecated.

      @Deprecated
      public interface JMXEnabledThreadPoolExecutorMBean
      extends IExecutorMBean

  See Also:
    `ThreadPoolMetrics`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCoreThreads()` Deprecated. Returns core pool size of thread pool.
    `int` | `getCurrentlyBlockedTasks()` Deprecated. Get the number of tasks currently blocked, waiting to be accepted by the executor (because all threads are busy and the backing queue is full).
    `int` | `getMaximumThreads()` Deprecated. Returns maximum pool size of thread pool.
    `int` | `getTotalBlockedTasks()` Deprecated. Get the number of tasks that had blocked before being accepted (or rejected).
    `void` | `setCoreThreads(int number)` Deprecated. Allows user to resize core pool size of the thread pool.
    `void` | `setMaximumThreads(int number)` Deprecated. Allows user to resize maximum size of the thread pool.

    - ### Methods inherited from interface org.apache.cassandra.concurrent.IExecutorMBean

      `getActiveCount, getCompletedTasks, getPendingTasks`

- - ### Method Detail

    - #### getTotalBlockedTasks

          int getTotalBlockedTasks()

      Deprecated.
      Get the number of tasks that had blocked before being accepted (or rejected).

    - #### getCurrentlyBlockedTasks

          int getCurrentlyBlockedTasks()

      Deprecated.
      Get the number of tasks currently blocked, waiting to be accepted by the executor (because all threads are busy and the backing queue is full).

    - #### getCoreThreads

          int getCoreThreads()

      Deprecated.
      Returns core pool size of thread pool.

    - #### setCoreThreads

          void setCoreThreads(int number)

      Deprecated.
      Allows user to resize core pool size of the thread pool.

    - #### getMaximumThreads

          int getMaximumThreads()

      Deprecated.
      Returns maximum pool size of thread pool.

    - #### setMaximumThreads

          void setMaximumThreads(int number)

      Deprecated.
      Allows user to resize maximum size of the thread pool.

Copyright © 2014 The Apache Software Foundation